Subject: Re: [urn] Some short comments on RFC 2141bis

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 13 Jun 2011 19:23:40 -0600

<hat type='individual'/>

On 5/16/11 7:25 AM, Bengt Neiss wrote:
> Hi,
> 
> Just want to give some comments on a couple of issues.
> 
> 1.       I think there should be a section describing the possibility to
> divide (or extend?) a namespace into sub-namespaces and what rules that
> applies to a sub-namespace. (ie. delegation to sub-naming authorities).

Isn't this is a matter for specific namespaces? What do you think the
generic URN syntax specification could say about this?

> 2.        In section 2.1 there is a "note for discussion" on restricting
> NIDs even further.
> If restrictions still are considered for NIDs I think there should be no
> restrictions for a NID that consists of a numerical value of two or more
> numbers (eg. 118), or a numerical range (eg. 561111-2301).

What is the use case for allowing a namespace *identifier* to contain 2+
numbers or a numerical range? You are suggesting that it would be fine
to allow things like "urn:118:foo" and "urn:561111-2301:bar". Why? Can't
the registrant of a NID choose something more human-readable?

> 3.       Should there be a "max length" limit for a URN (or a
> recommendation?)?
> As identifiers, URNs might turn up in other systems and it might be good
> idea to give a recommendation on the “max length” of a URN even if there
> is no limit as such.

Why are URNs any different from generic URIs (RFC 3986) in this respect?

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: "Bengt Neiss" <[email-masked]>
Date: Mon, 27 Jun 2011 14:24:06 +0200

> -----Ursprungligt meddelande-----
> Från: Peter Saint-Andre [mailto:[email-masked]]
> Skickat: den 14 juni 2011 03:24
> Till: Bengt Neiss
> Kopia: [email-masked]
> Ämne: Re: [urn] Some short comments on RFC 2141bis
> 
> <hat type='individual'/>
> 

Yes, I agree. It is a matter for the specific namespaces. 

I just think it the URN syntax specification should include that it is possible/allowed to divide/extend a namespace into sub-namespaces.
I guess the chapters 5, 5.1 and 6 in rfc2141bis takes care of this if we consider the sub-namespace to be part of the NSS and that it is up to the namespace registrations to show how to interpret/resolve/handle a sub-namespace...

> the registrant of a NID choose something more human-readable?

After considering my suggestion to allow urn's like "urn:561111-2301:bar" I have changed my mind. It was a bad suggestion. 

However, I still think you should be able to register something like "urn:118:foo".
The reason for this is the experience we have had in registration of sub-namespaces.
The organizations that are interested in a sub-namespace tend to prefer a sub-namespace that is the same as their domain name.
This might be the case for future namespace registrations as well.
If not allowed I am sure they can choose something more human-readable.

> Why are URNs any different from generic URIs (RFC 3986) in this respect?

First I want to clarify that I think the URN should conform to the URI standard (RFC 3986).

The reason for me asking this "question" is what could be considered to be human-readability issues
I think URN:s are different in the sense that being persistent, they are more likely to turn up as references in different system, like library systems, etc.
As such they might get used by people in a different way than generic URIs are used. (ie. Why did we start to use tinyurls to reference urls) 
I know that this probably is slightly out-of-scope for the work with the URN syntax but I wanted to raise the question anyway.

//Bengt

---------------------------------------------------------
Bengt Neiss
Kungl. Biblioteket / National Library of Sweden
Phone: +46 (0)10 709 35 41